Padre::Wx::Dialog::SessionManager(3)

NAME
Padre::Wx::Dialog::SessionManager - Session manager dialog for Padre

DESCRIPTION
Padre supports sessions, that is, a bunch of files opened. But we need to provide a way to manage those sessions: listing, removing them, etc. This module implements this task as a dialog for Padre.

PUBLIC API

  Constructor
"new"

    my $dialog = PWD::SM->new( $parent )

Create and return a new Wx dialog listing all the sessions. It needs a $parent window (usually Padre's main window).

  Public methods
"show"

    $dialog->show;

Request the session manager dialog to be shown. It will be refreshed first with a current list of sessions.

COPYRIGHT & LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.